Bug 58268 - ports with a wrong PKGORIGIN
ports with a wrong PKGORIGIN
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-20 05:40 UTC by eikemeier
Modified: 2003-11-10 06:46 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description eikemeier 2003-10-20 05:40:10 UTC
Tools assume that PKGORIGIN is unique and correct, even bsd.port.mk
makes this assumtion in the check-already-installed target. The
following ports set the wrong PKGORIGIN:

real pkgorigin             => WRONG pkgorigin

chinese/links              => www/links
chinese/tintin++           => net/tintin++
editors/mode-info          => elisp/mode-info
irc/ircd-ru                => russian/ircd-ru
japanese/tdiary            => www/tdiary
korean/unzip               => archivers/unzip
multimedia/ruby-gst        => devel/ruby-gst
net/subcalc                => ipv6/subcalc
portuguese/kde3-i18n       => misc/kde3-i18n
portuguese/kde3-i18n-pt_BR => misc/kde3-i18n-pt_BR
sysutils/webjob            => security/webjob

Fix: 

If the port is a slave port, the master port has to use CATEGORIES?=
or CATEGORIES+=, otherwise correct the CATEGORIES line in the
Makefile itself.

This affects the ports tree structure and not the port build itself, so
maybe is should be fixed without waiting for an approval from the
respective maintainers.
How-To-Repeat: 
cd /usr/ports/korean/unzip; make -VPKGORIGIN
Comment 1 eikemeier 2003-10-20 13:54:58 UTC
--- pkgorigin.patch begins here ---
--- archivers/unzip/Makefile.orig	29 Jul 2003 03:41:53 -0000
+++ archivers/unzip/Makefile	20 Oct 2003 10:36:59 -0000
@@ -8,13 +8,13 @@
 PORTNAME=	unzip
 PORTVERSION=    5.50
 PORTREVISION=   2
-CATEGORIES=	archivers
+CATEGORIES?=	archivers
 MASTER_SITES=   ftp://ftp.info-zip.org/pub/infozip/src/ \
 		${MASTER_SITE_TEX_CTAN:S,%SUBDIR%,tools/zip/info-zip/src/,}
 DISTFILES=      ${PORTNAME}550.tar.gz
 
-MAINTAINER=	ache@FreeBSD.org
-COMMENT=	List, test and extract compressed files in a ZIP archive
+MAINTAINER?=	ache@FreeBSD.org
+COMMENT?=	List, test and extract compressed files in a ZIP archive
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION}
 MAKEFILE=	unix/Makefile
--- editors/mode-info/Makefile.orig	7 Mar 2003 06:00:33 -0000
+++ editors/mode-info/Makefile	20 Oct 2003 11:13:13 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	mode-info
 PORTVERSION=	0.1.4
-CATEGORIES=	elisp
+CATEGORIES=	editors elisp
 MASTER_SITES=	http://namazu.org/~tsuchiya/elisp/
 
 MAINTAINER=	yoichi@FreeBSD.org
--- irc/ircd-ru/Makefile.orig	23 Aug 2003 13:34:20 -0000
+++ irc/ircd-ru/Makefile	20 Oct 2003 10:35:41 -0000
@@ -8,7 +8,7 @@
 PORTNAME=	ircd-ru
 PORTVERSION=	1.0.7
 PORTREVISION=	1
-CATEGORIES=	russian irc
+CATEGORIES=	irc russian
 MASTER_SITES=	ftp://ftp.ircd.ru/pub/ircd-RU/ ftp://ftp.ircd.ru/pub/ircd-RU/old/
 DISTNAME=	ircd-RU-${PORTVERSION}-02-stable
 
--- multimedia/ruby-gst/Makefile.orig	9 Aug 2003 20:37:43 -0000
+++ multimedia/ruby-gst/Makefile	20 Oct 2003 10:37:36 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	gst
 PORTVERSION=	${RUBY_GNOME_PORTVERSION}
-CATEGORIES=	devel ruby
+CATEGORIES=	multimedia devel ruby
 MASTER_SITES=	${RUBY_GNOME_MASTER_SITES}
 MASTER_SITE_SUBDIR=	${RUBY_GNOME_MASTER_SITE_SUBDIR}
 PKGNAMEPREFIX=	${RUBY_PKGNAMEPREFIX}
--- net/subcalc/Makefile.orig	27 Aug 2003 03:49:25 -0000
+++ net/subcalc/Makefile	20 Oct 2003 10:38:00 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	subcalc
 PORTVERSION=	1.0
-CATEGORIES=	ipv6 net
+CATEGORIES=	net ipv6
 MASTER_SITES=	http://www.seccuris.com/documents/downloads/
 MASTER_SITE_SUBDIR=	subcalc
 
--- net/tintin++-devel/Makefile.orig	26 Feb 2003 06:20:28 -0000
+++ net/tintin++-devel/Makefile	20 Oct 2003 10:33:37 -0000
@@ -7,13 +7,13 @@
 
 PORTNAME=	tintin
 PORTVERSION=	1.8.6b
-CATEGORIES=	net games
+CATEGORIES+=	net games
 MASTER_SITES=	http://mail.newclear.net/tintin/download/ \
 		http://freebsd.hanirc.org/~jhp/tintin++/ \
 		http://www.stud.ntnu.no/~sverreno/tintin/
 DISTNAME=	tintin++v1.86b
 
-MAINTAINER=	jhp@cocoja.holywar.net
+MAINTAINER?=	jhp@cocoja.holywar.net
 COMMENT=	"a client program specialized to help playing muds(devel version)"
 
 NO_LATEST_LINK=	yes
--- portuguese/kde3-i18n/Makefile.orig	18 Sep 2003 14:57:00 -0000
+++ portuguese/kde3-i18n/Makefile	20 Oct 2003 10:38:33 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	kde-i18n
 PORTVERSION=	${KDE_VERSION}
-CATEGORIES?=	misc kde
+CATEGORIES?=	portuguese misc kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTVERSION}/src/kde-i18n
 PKGNAMEPREFIX=	pt-
--- portuguese/kde3-i18n-pt_BR/Makefile.orig	19 May 2003 19:43:34 -0000
+++ portuguese/kde3-i18n-pt_BR/Makefile	20 Oct 2003 10:39:02 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=	kde-i18n
 PORTVERSION=	${KDE_VERSION}
-CATEGORIES?=	misc kde
+CATEGORIES?=	portuguese misc kde
 MASTER_SITES=	${MASTER_SITE_KDE}
 MASTER_SITE_SUBDIR=	stable/${PORTVERSION}/src/kde-i18n
 PKGNAMEPREFIX=	pt_BR-
--- sysutils/webjob/Makefile.orig	4 Aug 2003 07:48:53 -0000
+++ sysutils/webjob/Makefile	20 Oct 2003 10:39:39 -0000
@@ -7,7 +7,7 @@
 
 PORTNAME=		webjob
 PORTVERSION=		1.3.0
-CATEGORIES=		security sysutils
+CATEGORIES=		sysutils security
 MASTER_SITES=		${MASTER_SITE_SOURCEFORGE}
 MASTER_SITE_SUBDIR=	webjob
 EXTRACT_SUFX=		.tgz
--- www/links/Makefile.orig	2 Sep 2003 07:40:06 -0000
+++ www/links/Makefile	20 Oct 2003 10:31:35 -0000
@@ -8,7 +8,7 @@
 PORTNAME=	links
 PORTVERSION=	2.1.p11
 PORTEPOCH=	1
-CATEGORIES=	www
+CATEGORIES?=	www
 MASTER_SITES=	http://atrey.karlin.mff.cuni.cz/~clock/twibright/links/download/
 DISTNAME=	${PORTNAME}-2.1pre11
 
--- www/tdiary/Makefile.orig	10 Aug 2003 01:45:07 -0000
+++ www/tdiary/Makefile	20 Oct 2003 11:14:56 -0000
@@ -8,7 +8,7 @@
 PORTNAME=	tdiary
 PORTVERSION=	1.5.5
 #PORTREVISION=	0
-CATEGORIES=	www ruby
+CATEGORIES?=	www ruby
 MASTER_SITES=	\
 		${MASTER_SITE_SOURCEFORGE} \
 		http://www.tdiary.org/download/
--- pkgorigin.patch ends here ---
Comment 2 eikemeier 2003-10-25 17:24:10 UTC
try
cd /usr/ports/net/subcalc; make install
pkg_version -v -s subcalc
Comment 3 eikemeier 2003-10-25 19:03:19 UTC
Dear maintainers,

could you please have a look into PR 58268:

  http://www.freebsd.org/cgi/query-pr.cgi?pr=58268

The following ports have a wrong PKGORIGIN:

ab@astralblue.net:
- korean/unzip

eric@fractal.csie.org:
- chinese/links

foxfair@FreeBSD.org:
- chinese/tintin++

ilya@ircd.ru:
- irc/ircd-ru

jfkimura@yahoo.co.jp:
- japanese/tdiary

kde@FreeBSD.org:
- portuguese/kde3-i18n
- portuguese/kde3-i18n-pt_BR

klm@uidzero.org:
- sysutils/webjob

knu@FreeBSD.org:
- multimedia/ruby-gst

maneo@bsdpro.com:
- net/subcalc

yoichi@FreeBSD.org:
- editors/mode-info

This causes problems with various tools, try for example
port `net/subcalc' with pkgname `subcalc-1.1':

# cd /usr/ports/net/subcalc; make install

# make -VPKGORIGIN
ipv6/subcalc

# pkg_version -v -s subcalc
subcalc-1.1                         ?   orphaned: ipv6/subcalc

# portupgrade 'subcalc*'
cd: can't cd to /usr/ports/ipv6/subcalc
** The port directory for 'ipv6/subcalc' does not exist.

A patch to correct this in in PR 58268.

Regards
    Oliver
Comment 4 michaelnottebrock 2003-10-26 21:51:23 UTC
Oliver Eikemeier wrote:

> kde@FreeBSD.org:
> - portuguese/kde3-i18n
> - portuguese/kde3-i18n-pt_BR

Oooops. I thought I had corrected that a long time ago, but it turns out I 
only did for koffice-i18n & koffice-i18n-pt_BR. Committed, thanks for the 
heads-up!

-- 
    ,_,   | Michael Nottebrock               | lofi@freebsd.org
  (/^ ^\) | FreeBSD - The Power to Serve     | http://www.freebsd.org
    \u/   | K Desktop Environment on FreeBSD | http://freebsd.kde.org
Comment 5 sergei freebsd_committer 2003-10-27 05:50:43 UTC
On 2003-10-25 at 11:10 -0700, Oliver Eikemeier wrote:
>  maneo@bsdpro.com:
>  - net/subcalc

Fix committed.

Sergei
Comment 6 eikemeier 2003-11-10 03:37:04 UTC
All fixed, thanks.

This PR can be closed.
Comment 7 Mark Linimon freebsd_committer 2003-11-10 06:46:23 UTC
State Changed
From-To: open->closed

Submitter reports that these are all fixed now.